Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233200 - improved festival package cures all ills.
Summary: improved festival package cures all ills.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: festival
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 6.0
Assignee: Matthias Clasen
QA Contact: Desktop QE
URL: http://mattdm.org/misc/festival/
Whiteboard:
Depends On: festival1.96
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 20:48 UTC by Matthew Miller
Modified: 2013-03-06 13:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 13:57:37 UTC


Attachments (Terms of Use)

Description Matthew Miller 2007-03-20 20:48:27 UTC
+++ This bug was initially created as a clone of Bug #232105 +++

The new festival packages from bug #232105, now in Rawhide, are really big
improvements, including some serious bugfixes. I would highly recommend shipping
this as a bug-fix update for Red Hat Enterprise Linux 5.

Highlights:

    * Updated to the 1.96 beta release (from current 1.95 beta).
    * Split into several subpackages, allowing for a 4.7M minimal install (down
from 24M).
    * libFestival built as shared library.
    * Libraries linked correctly.
    * Devel packages which make sense (and may actually work).
    * Multi-arch collisions fixed.
    * Two new HTS voices.
    * HTS voices fixed so they work with gnome-speech. (This is a big deal,
since they are both smaller and nicer than the older diphone voices.)
    * Put site config files into /etc/festival.
    * Builds without -fpermissive. (That was letting some 64-bit issues slip
through.)
    * Other package cleanup.
    * Other bugfixes.

Comment 1 Tim Niemueller 2012-09-28 13:02:26 UTC
Should this bug still be open?

Comment 2 Matthew Miller 2012-09-28 14:46:47 UTC
I personally don't care anymore. However, it looks like RHEL 5 does still include the older packages.

Comment 4 Matthew Miller 2013-03-06 13:57:37 UTC
RHEL 6 got the newer packages from Fedora; I don't think there's a big win in backporting to RHEL 5 anymore.


Note You need to log in before you can comment on or make changes to this bug.